Skip to content
LogoLogo

NFT

Balance

GET/cosmos/nft/v1beta1/balance/{owner}/{class_id}

Balance queries the number of NFTs of a given class owned by the owner, same as balanceOf in ERC721

Path Parameters

ownerRequired
string

owner is the owner address of the nft

class_idRequired
string

class_id associated with the nft

Responses

Classes

GET/cosmos/nft/v1beta1/classes

Classes queries all NFT classes

Query Parameters

pagination.key
string

key is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.

pagination.offset
string <uint64>

offset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.

pagination.limit
string <uint64>

limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.

pagination.count_total
boolean

count_total is set to true to indicate that the result set should include a count of the total number of items available for pagination in UIs. count_total is only respected when offset is used. It is ignored when key is set.

pagination.reverse
boolean

reverse is set to true if results are to be returned in the descending order.

Responses

Class

GET/cosmos/nft/v1beta1/classes/{class_id}

Class queries an NFT class based on its id

Path Parameters

class_idRequired
string

class_id associated with the nft

Responses

NFTs

GET/cosmos/nft/v1beta1/nfts

NFTs queries all NFTs of a given class or owner,choose at least one of the two, similar to tokenByIndex in ERC721Enumerable

Query Parameters

class_id
string

class_id associated with the nft.

owner
string

owner is the owner address of the nft.

pagination.key
string

key is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.

pagination.offset
string <uint64>

offset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.

pagination.limit
string <uint64>

limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.

pagination.count_total
boolean

count_total is set to true to indicate that the result set should include a count of the total number of items available for pagination in UIs. count_total is only respected when offset is used. It is ignored when key is set.

pagination.reverse
boolean

reverse is set to true if results are to be returned in the descending order.

Responses

NFT

GET/cosmos/nft/v1beta1/nfts/{class_id}/{id}

NFT queries an NFT based on its class and id.

Path Parameters

class_idRequired
string

class_id associated with the nft

idRequired
string

id is a unique identifier of the NFT

Responses

Owner

GET/cosmos/nft/v1beta1/owner/{class_id}/{id}

Owner queries the owner of the NFT based on its class and id, same as ownerOf in ERC721

Path Parameters

class_idRequired
string

class_id associated with the nft

idRequired
string

id is a unique identifier of the NFT

Responses

Supply

GET/cosmos/nft/v1beta1/supply/{class_id}

Supply queries the number of NFTs from the given class, same as totalSupply of ERC721.

Path Parameters

class_idRequired
string

class_id associated with the nft

Responses